from enum import IntFlag

import comtypes.gen._683BF642_E9CA_4124_BE43_67065B2FA653_0_1_0 as __wrapper_module__
from comtypes.gen._683BF642_E9CA_4124_BE43_67065B2FA653_0_1_0 import (
    ITaskbarList2, _lcid, TBPF_NORMAL, WSTRING, typelib_path, tagRECT,
    ITaskbarList3, TBPF_INDETERMINATE, TBATF_USEMDITHUMBNAIL,
    _RemotableHandle, ITaskbarList, HRESULT, Library, GUID,
    TBPF_PAUSED, TBPF_NOPROGRESS, wireHWND, __MIDL_IWinTypes_0009,
    TBPF_ERROR, TBATF_USEMDILIVEPREVIEW,
    __MIDL___MIDL_itf_TaskbarLib_0007_0001_0001, CoClass, COMMETHOD,
    TaskbarList, IUnknown, tagTHUMBBUTTON
)


class TBPFLAG(IntFlag):
    TBPF_NOPROGRESS = 0
    TBPF_INDETERMINATE = 1
    TBPF_NORMAL = 2
    TBPF_ERROR = 4
    TBPF_PAUSED = 8


class TBATFLAG(IntFlag):
    TBATF_USEMDITHUMBNAIL = 1
    TBATF_USEMDILIVEPREVIEW = 2


__all__ = [
    'TBPF_NORMAL', 'typelib_path', 'ITaskbarList3',
    'TBPF_INDETERMINATE', 'TBATF_USEMDITHUMBNAIL', 'TBATFLAG',
    '__MIDL_IWinTypes_0009', 'TBPF_ERROR', 'TBATF_USEMDILIVEPREVIEW',
    'TaskbarList', 'tagTHUMBBUTTON', 'ITaskbarList2', 'TBPFLAG',
    '_RemotableHandle', 'ITaskbarList', 'Library', 'TBPF_PAUSED',
    'TBPF_NOPROGRESS', '__MIDL___MIDL_itf_TaskbarLib_0007_0001_0001'
]

